<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= toolbar title: t(:label_select_main_menu_item) %>

<p><%= t :wiki_menu_item_new_main_item_explanation %></p>

<%= labelled_tabular_form_with model: false, scope: :wiki_page, url: { action: "replace_main_menu_item" } do |f| %>
  <fieldset class="form--fieldset" id="wiki_menu_item_setting">
    <legend class="form--fieldset-legend"><%= t(:label_wiki_page) %></legend>
    <p>
      <%= f.select :id,
                   wiki_page_options_for_select(@possible_wiki_pages),
                   { label: WikiPage.human_attribute_name(:title) },
                   { size: @possible_wiki_pages.size,
                     id: "main-menu-item-select" } %>
    </p>
  </fieldset>
  <%= submit_tag t(:button_save), class: "button -primary" %>
<% end %>
